Subject: Re: [Biosqueak] The germ of an idea
From: Jan Bottorff <[email-masked]>
To: [email-masked]
Date: Sat, 01 Sep 2001 00:05:22 -0700
List-Id: The general-purpose Squeak developers list <squeak-dev.lists.squeakfoundation.org>

>Mind you, if we're talking of stuff as intensive as the Human Genome,
>we're talking of very serious number crunching.

A friend of mine (who is quite into Bioinformatics) and I (who knows almost 
nothing about Bioinformatics) had a discussion a few weeks ago. It seemed 
like the thought was that many of the algorithms would be more efficient if 
fancy pattern matching logic was used instead of brute force compute power. 
For example, a multiple parallel state machine pattern search (i.e. a 
parser) might beat a bunch of passes with simple pattern match searches. It 
also seems possible the intersection of the bioinformatics wizards with the 
advanced parser wizards is almost an empty set.

Smalltalk is just super good at implementing fancy algorithms. I guess a 
question to ask: is it REALLY a very serious number cruncher problem, or is 
that just what current algorithms end up being.